%define upstream_name    Module-Install-ReadmeFromPod
%define upstream_version 0.26

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A Module::Install extension to automatically convert POD to a README
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny) >= 0.50.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::All)
BuildRequires: perl(Module::Install) >= 1.0.0
BuildRequires: perl(Pod::Html)
BuildRequires: perl(Pod::Man)
BuildRequires: perl(Pod::Markdown) >= 2.0.0
BuildRequires: perl(Pod::Text) >= 3.130.0
BuildRequires: perl(Test::InDistDir)
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
Module::Install::ReadmeFromPod is a the Module::Install manpage extension
that generates a 'README' file automatically from an indicated file
containing POD, whenever the author runs 'Makefile.PL'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.260.0-2.mga6
+ Revision: 1030083
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 0.260.0-1.mga6
+ Revision: 1007252
- update to 0.26

* Thu Feb 04 2016 umeabot <umeabot> 0.220.0-5.mga6
+ Revision: 934474
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.220.0-4.mga5
+ Revision: 746583
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.220.0-3.mga5
+ Revision: 685445
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.220.0-2.mga4
+ Revision: 533057
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 sander85 <sander85> 0.220.0-1.mga4
+ Revision: 471228
- update to 0.22

* Sun Jan 13 2013 umeabot <umeabot> 0.200.0-2.mga3
+ Revision: 369881
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 24 2012 shlomif <shlomif> 0.200.0-1.mga3
+ Revision: 309586
- update to 0.20

* Tue Jun 05 2012 jquelin <jquelin> 0.180.0-1.mga3
+ Revision: 255167
- update to 0.18

* Sat Dec 17 2011 shlomif <shlomif> 0.120.0-1.mga2
+ Revision: 182950
- imported package perl-Module-Install-ReadmeFromPod


* Wed Mar 09 2011 cpan2dist 0.12-1mdv
- initial mdv release, generated with cpan2dist
